%%%---------------------------------------
%%% module      : data_contract
%%% description : 万物宝典配置
%%%
%%%---------------------------------------
-module(data_contract).
-compile(export_all).
-include("contract.hrl").



get_pass_buy_info(1) ->
    #base_contract_pass_buy{sub_type = 1,buy_type = 1,normal_price = 68,luxury_price = 98,luxury_rewards = [{21,105001,1000},{0,420007,1},{0,800002,1}],rewards_val = 25888,discount = [],price = 100};

get_pass_buy_info(2) ->
    #base_contract_pass_buy{sub_type = 2,buy_type = 0,normal_price = 888,luxury_price = 1288,luxury_rewards = [{21,105001,1000},{0,420013,1},{0,425003,1}],rewards_val = 9658,discount = [105002,0.8],price = 100};

get_pass_buy_info(_Subtype) ->
    [].

get_all_sub_types() ->
    [1,2].

get_task_type(1) ->
    #base_contract_task_type{task_type_id = 1,open_lv = 1,open_day = 1,task_type = jump};

get_task_type(2) ->
    #base_contract_task_type{task_type_id = 2,open_lv = 160,open_day = 6,task_type = showbaby};

get_task_type(3) ->
    #base_contract_task_type{task_type_id = 3,open_lv = 100,open_day = 6,task_type = likebaby};

get_task_type(4) ->
    #base_contract_task_type{task_type_id = 4,open_lv = 1,open_day = 1,task_type = devour};

get_task_type(5) ->
    #base_contract_task_type{task_type_id = 5,open_lv = 1,open_day = 1,task_type = givefriend};

get_task_type(6) ->
    #base_contract_task_type{task_type_id = 6,open_lv = 100,open_day = 1,task_type = sendmsg};

get_task_type(7) ->
    #base_contract_task_type{task_type_id = 7,open_lv = 42,open_day = 1,task_type = cardun};

get_task_type(8) ->
    #base_contract_task_type{task_type_id = 8,open_lv = 54,open_day = 1,task_type = treasuredun};

get_task_type(9) ->
    #base_contract_task_type{task_type_id = 9,open_lv = 82,open_day = 1,task_type = aigirldun};

get_task_type(10) ->
    #base_contract_task_type{task_type_id = 10,open_lv = 110,open_day = 2,task_type = wingdun};

get_task_type(11) ->
    #base_contract_task_type{task_type_id = 11,open_lv = 116,open_day = 3,task_type = weapondun};

get_task_type(12) ->
    #base_contract_task_type{task_type_id = 12,open_lv = 96,open_day = 1,task_type = dailytask};

get_task_type(13) ->
    #base_contract_task_type{task_type_id = 13,open_lv = 96,open_day = 1,task_type = guildtask};

get_task_type(14) ->
    #base_contract_task_type{task_type_id = 14,open_lv = 134,open_day = 3,task_type = petdun};

get_task_type(15) ->
    #base_contract_task_type{task_type_id = 15,open_lv = 100,open_day = 1,task_type = bountyboss};

get_task_type(16) ->
    #base_contract_task_type{task_type_id = 16,open_lv = 90,open_day = 1,task_type = personboss};

get_task_type(17) ->
    #base_contract_task_type{task_type_id = 17,open_lv = 85,open_day = 1,task_type = guildboss};

get_task_type(18) ->
    #base_contract_task_type{task_type_id = 18,open_lv = 90,open_day = 1,task_type = worldboss};

get_task_type(19) ->
    #base_contract_task_type{task_type_id = 19,open_lv = 70,open_day = 1,task_type = expdun};

get_task_type(20) ->
    #base_contract_task_type{task_type_id = 20,open_lv = 96,open_day = 1,task_type = teamdun};

get_task_type(21) ->
    #base_contract_task_type{task_type_id = 21,open_lv = 96,open_day = 1,task_type = guarddun};

get_task_type(22) ->
    #base_contract_task_type{task_type_id = 22,open_lv = 85,open_day = 1,task_type = ordersend};

get_task_type(23) ->
    #base_contract_task_type{task_type_id = 23,open_lv = 85,open_day = 1,task_type = ordertake};

get_task_type(24) ->
    #base_contract_task_type{task_type_id = 24,open_lv = 96,open_day = 1,task_type = escort};

get_task_type(25) ->
    #base_contract_task_type{task_type_id = 25,open_lv = 1,open_day = 1,task_type = login};

get_task_type(26) ->
    #base_contract_task_type{task_type_id = 26,open_lv = 105,open_day = 1,task_type = singledraw};

get_task_type(27) ->
    #base_contract_task_type{task_type_id = 27,open_lv = 105,open_day = 1,task_type = tendraw};

get_task_type(28) ->
    #base_contract_task_type{task_type_id = 28,open_lv = 1,open_day = 1,task_type = assist};

get_task_type(29) ->
    #base_contract_task_type{task_type_id = 29,open_lv = 1,open_day = 1,task_type = assisted};

get_task_type(30) ->
    #base_contract_task_type{task_type_id = 30,open_lv = 1,open_day = 1,task_type = activity};

get_task_type(31) ->
    #base_contract_task_type{task_type_id = 31,open_lv = 96,open_day = 3,task_type = beauty};

get_task_type(32) ->
    #base_contract_task_type{task_type_id = 32,open_lv = 84,open_day = 1,task_type = glamour};

get_task_type(33) ->
    #base_contract_task_type{task_type_id = 33,open_lv = 1,open_day = 1,task_type = fame};

get_task_type(_Tasktypeid) ->
    [].

get_all_task_types() ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33].


get_task_id(jump) ->
    [1];


get_task_id(showbaby) ->
    [2];


get_task_id(likebaby) ->
    [3];


get_task_id(devour) ->
    [4];


get_task_id(givefriend) ->
    [5];


get_task_id(sendmsg) ->
    [6];


get_task_id(cardun) ->
    [7];


get_task_id(treasuredun) ->
    [8];


get_task_id(aigirldun) ->
    [9];


get_task_id(wingdun) ->
    [10];


get_task_id(weapondun) ->
    [11];


get_task_id(dailytask) ->
    [12];


get_task_id(guildtask) ->
    [13];


get_task_id(petdun) ->
    [14];


get_task_id(bountyboss) ->
    [15];


get_task_id(personboss) ->
    [16];


get_task_id(guildboss) ->
    [17];


get_task_id(worldboss) ->
    [18];


get_task_id(expdun) ->
    [19];


get_task_id(teamdun) ->
    [20];


get_task_id(guarddun) ->
    [21];


get_task_id(ordersend) ->
    [22];


get_task_id(ordertake) ->
    [23];


get_task_id(escort) ->
    [24];


get_task_id(login) ->
    [25];


get_task_id(singledraw) ->
    [26];


get_task_id(tendraw) ->
    [27];


get_task_id(assist) ->
    [28];


get_task_id(assisted) ->
    [29];


get_task_id(activity) ->
    [30];


get_task_id(beauty) ->
    [31];


get_task_id(glamour) ->
    [32];


get_task_id(fame) ->
    [33];

get_task_id(_Tasktype) ->
    [].

get_task_info(1,1,15) ->
    #base_contract_pass_task{type = 1,day = 1,task_type_id = 15,cons = 2,point = 50};

get_task_info(1,1,25) ->
    #base_contract_pass_task{type = 1,day = 1,task_type_id = 25,cons = 1,point = 30};

get_task_info(1,1,26) ->
    #base_contract_pass_task{type = 1,day = 1,task_type_id = 26,cons = 8,point = 50};

get_task_info(1,1,28) ->
    #base_contract_pass_task{type = 1,day = 1,task_type_id = 28,cons = 5,point = 50};

get_task_info(1,1,29) ->
    #base_contract_pass_task{type = 1,day = 1,task_type_id = 29,cons = 3,point = 50};

get_task_info(1,1,30) ->
    #base_contract_pass_task{type = 1,day = 1,task_type_id = 30,cons = 120,point = 50};

get_task_info(1,2,15) ->
    #base_contract_pass_task{type = 1,day = 2,task_type_id = 15,cons = 2,point = 50};

get_task_info(1,2,25) ->
    #base_contract_pass_task{type = 1,day = 2,task_type_id = 25,cons = 1,point = 30};

get_task_info(1,2,26) ->
    #base_contract_pass_task{type = 1,day = 2,task_type_id = 26,cons = 8,point = 50};

get_task_info(1,2,28) ->
    #base_contract_pass_task{type = 1,day = 2,task_type_id = 28,cons = 5,point = 50};

get_task_info(1,2,29) ->
    #base_contract_pass_task{type = 1,day = 2,task_type_id = 29,cons = 3,point = 50};

get_task_info(1,2,30) ->
    #base_contract_pass_task{type = 1,day = 2,task_type_id = 30,cons = 120,point = 50};

get_task_info(1,3,15) ->
    #base_contract_pass_task{type = 1,day = 3,task_type_id = 15,cons = 2,point = 50};

get_task_info(1,3,25) ->
    #base_contract_pass_task{type = 1,day = 3,task_type_id = 25,cons = 1,point = 30};

get_task_info(1,3,26) ->
    #base_contract_pass_task{type = 1,day = 3,task_type_id = 26,cons = 8,point = 50};

get_task_info(1,3,28) ->
    #base_contract_pass_task{type = 1,day = 3,task_type_id = 28,cons = 5,point = 50};

get_task_info(1,3,29) ->
    #base_contract_pass_task{type = 1,day = 3,task_type_id = 29,cons = 3,point = 50};

get_task_info(1,3,30) ->
    #base_contract_pass_task{type = 1,day = 3,task_type_id = 30,cons = 120,point = 50};

get_task_info(1,4,15) ->
    #base_contract_pass_task{type = 1,day = 4,task_type_id = 15,cons = 2,point = 50};

get_task_info(1,4,25) ->
    #base_contract_pass_task{type = 1,day = 4,task_type_id = 25,cons = 1,point = 30};

get_task_info(1,4,26) ->
    #base_contract_pass_task{type = 1,day = 4,task_type_id = 26,cons = 8,point = 50};

get_task_info(1,4,28) ->
    #base_contract_pass_task{type = 1,day = 4,task_type_id = 28,cons = 5,point = 50};

get_task_info(1,4,29) ->
    #base_contract_pass_task{type = 1,day = 4,task_type_id = 29,cons = 3,point = 50};

get_task_info(1,4,30) ->
    #base_contract_pass_task{type = 1,day = 4,task_type_id = 30,cons = 120,point = 50};

get_task_info(1,5,15) ->
    #base_contract_pass_task{type = 1,day = 5,task_type_id = 15,cons = 2,point = 50};

get_task_info(1,5,25) ->
    #base_contract_pass_task{type = 1,day = 5,task_type_id = 25,cons = 1,point = 30};

get_task_info(1,5,26) ->
    #base_contract_pass_task{type = 1,day = 5,task_type_id = 26,cons = 8,point = 50};

get_task_info(1,5,28) ->
    #base_contract_pass_task{type = 1,day = 5,task_type_id = 28,cons = 5,point = 50};

get_task_info(1,5,29) ->
    #base_contract_pass_task{type = 1,day = 5,task_type_id = 29,cons = 3,point = 50};

get_task_info(1,5,30) ->
    #base_contract_pass_task{type = 1,day = 5,task_type_id = 30,cons = 120,point = 50};

get_task_info(1,6,15) ->
    #base_contract_pass_task{type = 1,day = 6,task_type_id = 15,cons = 2,point = 50};

get_task_info(1,6,25) ->
    #base_contract_pass_task{type = 1,day = 6,task_type_id = 25,cons = 1,point = 30};

get_task_info(1,6,26) ->
    #base_contract_pass_task{type = 1,day = 6,task_type_id = 26,cons = 8,point = 50};

get_task_info(1,6,28) ->
    #base_contract_pass_task{type = 1,day = 6,task_type_id = 28,cons = 5,point = 50};

get_task_info(1,6,29) ->
    #base_contract_pass_task{type = 1,day = 6,task_type_id = 29,cons = 3,point = 50};

get_task_info(1,6,30) ->
    #base_contract_pass_task{type = 1,day = 6,task_type_id = 30,cons = 120,point = 50};

get_task_info(1,7,15) ->
    #base_contract_pass_task{type = 1,day = 7,task_type_id = 15,cons = 2,point = 50};

get_task_info(1,7,25) ->
    #base_contract_pass_task{type = 1,day = 7,task_type_id = 25,cons = 1,point = 30};

get_task_info(1,7,26) ->
    #base_contract_pass_task{type = 1,day = 7,task_type_id = 26,cons = 8,point = 50};

get_task_info(1,7,28) ->
    #base_contract_pass_task{type = 1,day = 7,task_type_id = 28,cons = 5,point = 50};

get_task_info(1,7,29) ->
    #base_contract_pass_task{type = 1,day = 7,task_type_id = 29,cons = 3,point = 50};

get_task_info(1,7,30) ->
    #base_contract_pass_task{type = 1,day = 7,task_type_id = 30,cons = 120,point = 50};

get_task_info(2,0,2) ->
    #base_contract_pass_task{type = 2,day = 0,task_type_id = 2,cons = 5,point = 100};

get_task_info(2,0,3) ->
    #base_contract_pass_task{type = 2,day = 0,task_type_id = 3,cons = 7,point = 150};

get_task_info(2,0,24) ->
    #base_contract_pass_task{type = 2,day = 0,task_type_id = 24,cons = 10,point = 200};

get_task_info(2,0,27) ->
    #base_contract_pass_task{type = 2,day = 0,task_type_id = 27,cons = 5,point = 300};

get_task_info(2,0,31) ->
    #base_contract_pass_task{type = 2,day = 0,task_type_id = 31,cons = 20,point = 200};

get_task_info(2,0,32) ->
    #base_contract_pass_task{type = 2,day = 0,task_type_id = 32,cons = 20,point = 200};

get_task_info(2,0,33) ->
    #base_contract_pass_task{type = 2,day = 0,task_type_id = 33,cons = 10000,point = 300};

get_task_info(_Type,_Day,_Tasktypeid) ->
    [].

get_tasks(1,1) ->
    [{15,2,50},{25,1,30},{26,8,50},{28,5,50},{29,3,50},{30,120,50}];

get_tasks(1,2) ->
    [{15,2,50},{25,1,30},{26,8,50},{28,5,50},{29,3,50},{30,120,50}];

get_tasks(1,3) ->
    [{15,2,50},{25,1,30},{26,8,50},{28,5,50},{29,3,50},{30,120,50}];

get_tasks(1,4) ->
    [{15,2,50},{25,1,30},{26,8,50},{28,5,50},{29,3,50},{30,120,50}];

get_tasks(1,5) ->
    [{15,2,50},{25,1,30},{26,8,50},{28,5,50},{29,3,50},{30,120,50}];

get_tasks(1,6) ->
    [{15,2,50},{25,1,30},{26,8,50},{28,5,50},{29,3,50},{30,120,50}];

get_tasks(1,7) ->
    [{15,2,50},{25,1,30},{26,8,50},{28,5,50},{29,3,50},{30,120,50}];

get_tasks(2,0) ->
    [{2,5,100},{3,7,150},{24,10,200},{27,5,300},{31,20,200},{32,20,200},{33,10000,300}];

get_tasks(_Type,_Day) ->
    [].

get_rewards(1,1) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 1,lv_exp = 100,normal_rewards = [{100,230301,1}],luxury_rewards = [{100,230001,2}],node_rewards = 0};

get_rewards(1,2) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 2,lv_exp = 100,normal_rewards = [{100,230301,1}],luxury_rewards = [{100,230001,2}],node_rewards = 0};

get_rewards(1,3) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 3,lv_exp = 100,normal_rewards = [{100,230301,1}],luxury_rewards = [{100,230001,2}],node_rewards = 0};

get_rewards(1,4) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 4,lv_exp = 100,normal_rewards = [{100,230302,1}],luxury_rewards = [{100,230002,2}],node_rewards = 0};

get_rewards(1,5) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 5,lv_exp = 100,normal_rewards = [{100,102305,1}],luxury_rewards = [{100,102607,1},{100,102306,1}],node_rewards = 1};

get_rewards(1,6) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 6,lv_exp = 100,normal_rewards = [{100,230302,1}],luxury_rewards = [{100,230002,2}],node_rewards = 0};

get_rewards(1,7) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 7,lv_exp = 100,normal_rewards = [{100,230302,1}],luxury_rewards = [{100,230002,2}],node_rewards = 0};

get_rewards(1,8) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 8,lv_exp = 100,normal_rewards = [{100,230304,1}],luxury_rewards = [{100,230004,2}],node_rewards = 0};

get_rewards(1,9) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 9,lv_exp = 100,normal_rewards = [{100,230304,1}],luxury_rewards = [{100,230004,2}],node_rewards = 0};

get_rewards(1,10) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 10,lv_exp = 100,normal_rewards = [{100,102305,1}],luxury_rewards = [{100,102607,1},{100,412052,1}],node_rewards = 1};

get_rewards(1,11) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 11,lv_exp = 100,normal_rewards = [{100,230304,1}],luxury_rewards = [{100,230004,2}],node_rewards = 0};

get_rewards(1,12) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 12,lv_exp = 100,normal_rewards = [{100,230303,1}],luxury_rewards = [{100,230003,2}],node_rewards = 0};

get_rewards(1,13) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 13,lv_exp = 100,normal_rewards = [{100,230303,1}],luxury_rewards = [{100,230003,2}],node_rewards = 0};

get_rewards(1,14) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 14,lv_exp = 100,normal_rewards = [{100,230303,1}],luxury_rewards = [{100,230003,2}],node_rewards = 0};

get_rewards(1,15) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 15,lv_exp = 100,normal_rewards = [{100,102305,1}],luxury_rewards = [{100,102607,1},{100,410052,1}],node_rewards = 1};

get_rewards(1,16) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 16,lv_exp = 100,normal_rewards = [{100,230305,1}],luxury_rewards = [{100,230010,3}],node_rewards = 0};

get_rewards(1,17) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 17,lv_exp = 100,normal_rewards = [{100,230305,1}],luxury_rewards = [{100,230010,3}],node_rewards = 0};

get_rewards(1,18) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 18,lv_exp = 100,normal_rewards = [{100,230305,1}],luxury_rewards = [{100,230010,3}],node_rewards = 0};

get_rewards(1,19) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 19,lv_exp = 100,normal_rewards = [{100,230306,1}],luxury_rewards = [{100,230012,3}],node_rewards = 0};

get_rewards(1,20) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 20,lv_exp = 100,normal_rewards = [{100,102305,1}],luxury_rewards = [{100,102607,1},{100,102306,1}],node_rewards = 1};

get_rewards(1,21) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 21,lv_exp = 100,normal_rewards = [{100,230306,1}],luxury_rewards = [{100,230012,3}],node_rewards = 0};

get_rewards(1,22) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 22,lv_exp = 100,normal_rewards = [{100,230306,1}],luxury_rewards = [{100,230012,3}],node_rewards = 0};

get_rewards(1,23) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 23,lv_exp = 100,normal_rewards = [{100,230308,1}],luxury_rewards = [{100,230016,3}],node_rewards = 0};

get_rewards(1,24) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 24,lv_exp = 100,normal_rewards = [{100,230308,1}],luxury_rewards = [{100,230016,3}],node_rewards = 0};

get_rewards(1,25) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 25,lv_exp = 100,normal_rewards = [{100,102305,1}],luxury_rewards = [{100,102607,1},{100,412053,1}],node_rewards = 1};

get_rewards(1,26) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 26,lv_exp = 100,normal_rewards = [{100,230308,1}],luxury_rewards = [{100,230016,3}],node_rewards = 0};

get_rewards(1,27) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 27,lv_exp = 100,normal_rewards = [{100,230307,1}],luxury_rewards = [{100,230014,3}],node_rewards = 0};

get_rewards(1,28) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 28,lv_exp = 100,normal_rewards = [{100,230307,1}],luxury_rewards = [{100,230014,3}],node_rewards = 0};

get_rewards(1,29) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 29,lv_exp = 100,normal_rewards = [{100,230307,1}],luxury_rewards = [{100,230014,3}],node_rewards = 0};

get_rewards(1,30) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 30,lv_exp = 100,normal_rewards = [{100,102305,1}],luxury_rewards = [{100,102607,1},{100,410053,1}],node_rewards = 1};

get_rewards(1,31) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 31,lv_exp = 100,normal_rewards = [{100,260003,1}],luxury_rewards = [{100,260003,1}],node_rewards = 0};

get_rewards(1,32) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 32,lv_exp = 100,normal_rewards = [{100,260003,1}],luxury_rewards = [{100,260003,1}],node_rewards = 0};

get_rewards(1,33) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 33,lv_exp = 100,normal_rewards = [{100,260003,1}],luxury_rewards = [{100,260003,1}],node_rewards = 0};

get_rewards(1,34) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 34,lv_exp = 100,normal_rewards = [{100,260003,1}],luxury_rewards = [{100,260003,1}],node_rewards = 0};

get_rewards(1,35) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 35,lv_exp = 100,normal_rewards = [{100,102305,1}],luxury_rewards = [{100,102607,1},{100,402002,30}],node_rewards = 1};

get_rewards(1,36) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 36,lv_exp = 100,normal_rewards = [{100,251002,1}],luxury_rewards = [{100,251002,1}],node_rewards = 0};

get_rewards(1,37) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 37,lv_exp = 100,normal_rewards = [{100,251002,1}],luxury_rewards = [{100,251002,1}],node_rewards = 0};

get_rewards(1,38) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 38,lv_exp = 100,normal_rewards = [{100,251002,1}],luxury_rewards = [{100,251002,1}],node_rewards = 0};

get_rewards(1,39) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 39,lv_exp = 100,normal_rewards = [{100,251002,1}],luxury_rewards = [{100,251002,1}],node_rewards = 0};

get_rewards(1,40) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 40,lv_exp = 100,normal_rewards = [{100,102305,1}],luxury_rewards = [{100,102607,1},{100,102306,1}],node_rewards = 1};

get_rewards(1,41) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 41,lv_exp = 100,normal_rewards = [{100,251005,1}],luxury_rewards = [{100,251005,1}],node_rewards = 0};

get_rewards(1,42) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 42,lv_exp = 100,normal_rewards = [{100,251005,1}],luxury_rewards = [{100,251005,1}],node_rewards = 0};

get_rewards(1,43) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 43,lv_exp = 100,normal_rewards = [{100,251005,1}],luxury_rewards = [{100,251005,1}],node_rewards = 0};

get_rewards(1,44) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 44,lv_exp = 100,normal_rewards = [{100,251005,1}],luxury_rewards = [{100,251005,1}],node_rewards = 0};

get_rewards(1,45) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 45,lv_exp = 100,normal_rewards = [{100,102305,1}],luxury_rewards = [{100,102607,1},{100,102304,1}],node_rewards = 1};

get_rewards(1,46) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 46,lv_exp = 100,normal_rewards = [{100,251008,1}],luxury_rewards = [{100,251008,1}],node_rewards = 0};

get_rewards(1,47) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 47,lv_exp = 100,normal_rewards = [{100,251008,1}],luxury_rewards = [{100,251008,1}],node_rewards = 0};

get_rewards(1,48) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 48,lv_exp = 100,normal_rewards = [{100,251008,1}],luxury_rewards = [{100,251008,1}],node_rewards = 0};

get_rewards(1,49) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 49,lv_exp = 100,normal_rewards = [{100,251008,1}],luxury_rewards = [{100,251008,1}],node_rewards = 0};

get_rewards(1,50) ->
    #base_contract_rewards{sub_type = 1,pass_lv = 50,lv_exp = 100,normal_rewards = [{100,102305,1}],luxury_rewards = [{100,102607,1},{100,425007,1}],node_rewards = 1};

get_rewards(2,1) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 1,lv_exp = 100,normal_rewards = [{0,102604,1}],luxury_rewards = [{0,102604,1}],node_rewards = 0};

get_rewards(2,2) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 2,lv_exp = 100,normal_rewards = [{0,102604,2}],luxury_rewards = [{0,230101,2}],node_rewards = 0};

get_rewards(2,3) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 3,lv_exp = 100,normal_rewards = [{0,102604,1}],luxury_rewards = [{0,102604,1}],node_rewards = 0};

get_rewards(2,4) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 4,lv_exp = 100,normal_rewards = [{0,102604,2}],luxury_rewards = [{0,230101,2}],node_rewards = 0};

get_rewards(2,5) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 5,lv_exp = 100,normal_rewards = [{0,102604,2}],luxury_rewards = [{0,240400,2},{0,230301,1}],node_rewards = 1};

get_rewards(2,6) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 6,lv_exp = 100,normal_rewards = [{0,102604,1}],luxury_rewards = [{0,102604,1}],node_rewards = 0};

get_rewards(2,7) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 7,lv_exp = 100,normal_rewards = [{0,102604,2}],luxury_rewards = [{0,230101,2}],node_rewards = 0};

get_rewards(2,8) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 8,lv_exp = 100,normal_rewards = [{0,102604,3}],luxury_rewards = [{0,230201,3}],node_rewards = 0};

get_rewards(2,9) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 9,lv_exp = 100,normal_rewards = [{0,102604,1}],luxury_rewards = [{0,102604,1}],node_rewards = 0};

get_rewards(2,10) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 10,lv_exp = 100,normal_rewards = [{0,102604,2}],luxury_rewards = [{0,240400,2},{0,230301,1}],node_rewards = 1};

get_rewards(2,11) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 11,lv_exp = 100,normal_rewards = [{0,102604,5}],luxury_rewards = [{0,230101,5}],node_rewards = 0};

get_rewards(2,12) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 12,lv_exp = 100,normal_rewards = [{0,102604,5}],luxury_rewards = [{0,230201,5}],node_rewards = 0};

get_rewards(2,13) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 13,lv_exp = 100,normal_rewards = [{0,102604,1}],luxury_rewards = [{0,102604,1}],node_rewards = 0};

get_rewards(2,14) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 14,lv_exp = 100,normal_rewards = [{0,102604,2}],luxury_rewards = [{0,230101,2}],node_rewards = 0};

get_rewards(2,15) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 15,lv_exp = 100,normal_rewards = [{0,102604,6}],luxury_rewards = [{0,240400,6},{0,230301,1}],node_rewards = 1};

get_rewards(2,16) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 16,lv_exp = 100,normal_rewards = [{0,102604,6}],luxury_rewards = [{0,102604,1}],node_rewards = 0};

get_rewards(2,17) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 17,lv_exp = 100,normal_rewards = [{0,102604,1}],luxury_rewards = [{0,230101,2}],node_rewards = 0};

get_rewards(2,18) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 18,lv_exp = 100,normal_rewards = [{0,102604,2}],luxury_rewards = [{0,102604,1}],node_rewards = 0};

get_rewards(2,19) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 19,lv_exp = 100,normal_rewards = [{0,102604,1}],luxury_rewards = [{0,230101,2}],node_rewards = 0};

get_rewards(2,20) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 20,lv_exp = 100,normal_rewards = [{0,102604,2}],luxury_rewards = [{0,240400,2},{0,230301,1}],node_rewards = 1};

get_rewards(2,21) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 21,lv_exp = 100,normal_rewards = [{0,102604,2}],luxury_rewards = [{0,102604,1}],node_rewards = 0};

get_rewards(2,22) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 22,lv_exp = 100,normal_rewards = [{0,102604,1}],luxury_rewards = [{0,230101,2}],node_rewards = 0};

get_rewards(2,23) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 23,lv_exp = 100,normal_rewards = [{0,102604,2}],luxury_rewards = [{0,230201,3}],node_rewards = 0};

get_rewards(2,24) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 24,lv_exp = 100,normal_rewards = [{0,102604,3}],luxury_rewards = [{0,102604,1}],node_rewards = 0};

get_rewards(2,25) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 25,lv_exp = 100,normal_rewards = [{0,102604,1}],luxury_rewards = [{0,240400,2},{0,230301,1}],node_rewards = 1};

get_rewards(2,26) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 26,lv_exp = 100,normal_rewards = [{0,102604,2}],luxury_rewards = [{0,102604,1}],node_rewards = 0};

get_rewards(2,27) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 27,lv_exp = 100,normal_rewards = [{0,102604,1}],luxury_rewards = [{0,230101,2}],node_rewards = 0};

get_rewards(2,28) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 28,lv_exp = 100,normal_rewards = [{0,102604,2}],luxury_rewards = [{0,102604,1}],node_rewards = 0};

get_rewards(2,29) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 29,lv_exp = 100,normal_rewards = [{0,102604,3}],luxury_rewards = [{0,230101,2}],node_rewards = 0};

get_rewards(2,30) ->
    #base_contract_rewards{sub_type = 2,pass_lv = 30,lv_exp = 100,normal_rewards = [{0,102604,1}],luxury_rewards = [{0,240400,2},{0,230301,1}],node_rewards = 1};

get_rewards(_Subtype,_Passlv) ->
    [].


get_lv_exp(1) ->
    100;


get_lv_exp(2) ->
    100;


get_lv_exp(3) ->
    100;


get_lv_exp(4) ->
    100;


get_lv_exp(5) ->
    100;


get_lv_exp(6) ->
    100;


get_lv_exp(7) ->
    100;


get_lv_exp(8) ->
    100;


get_lv_exp(9) ->
    100;


get_lv_exp(10) ->
    100;


get_lv_exp(11) ->
    100;


get_lv_exp(12) ->
    100;


get_lv_exp(13) ->
    100;


get_lv_exp(14) ->
    100;


get_lv_exp(15) ->
    100;


get_lv_exp(16) ->
    100;


get_lv_exp(17) ->
    100;


get_lv_exp(18) ->
    100;


get_lv_exp(19) ->
    100;


get_lv_exp(20) ->
    100;


get_lv_exp(21) ->
    100;


get_lv_exp(22) ->
    100;


get_lv_exp(23) ->
    100;


get_lv_exp(24) ->
    100;


get_lv_exp(25) ->
    100;


get_lv_exp(26) ->
    100;


get_lv_exp(27) ->
    100;


get_lv_exp(28) ->
    100;


get_lv_exp(29) ->
    100;


get_lv_exp(30) ->
    100;


get_lv_exp(31) ->
    100;


get_lv_exp(32) ->
    100;


get_lv_exp(33) ->
    100;


get_lv_exp(34) ->
    100;


get_lv_exp(35) ->
    100;


get_lv_exp(36) ->
    100;


get_lv_exp(37) ->
    100;


get_lv_exp(38) ->
    100;


get_lv_exp(39) ->
    100;


get_lv_exp(40) ->
    100;


get_lv_exp(41) ->
    100;


get_lv_exp(42) ->
    100;


get_lv_exp(43) ->
    100;


get_lv_exp(44) ->
    100;


get_lv_exp(45) ->
    100;


get_lv_exp(46) ->
    100;


get_lv_exp(47) ->
    100;


get_lv_exp(48) ->
    100;


get_lv_exp(49) ->
    100;


get_lv_exp(50) ->
    100;

get_lv_exp(_Passlv) ->
    0.


get_sub_type_lv(1) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50];


get_sub_type_lv(2) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30];

get_sub_type_lv(_Subtype) ->
    [].

get_max_lv(1) -> 50;
get_max_lv(2) -> 30;
get_max_lv(_Sub_type) -> 0.

